I am beginning to think that you don't have all of the prerequisites installed.
Code:
Checking for -lposix ... no
The mplayer Software requirements page says you need this:
POSIX system - You need a POSIX-compatible shell and POSIX-compatible system tools like grep, sed, awk, etc. in your path.
Don't ask me how to get this, as I don't have a clue.